
QGIS Application - Bug report #10140

no dropdown in Vector>Research>Random Points>Use value from input field

2014-04-29 01:34 PM - Paul Ramsey

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18599

Description

Trying to generate a dot map, using the Random Points feature and an input column to control the number of points, I find that the

relevant drop-down in the dialogue does not display any field options.

Associated revisions

Revision b2ca6d02 - 2016-01-18 04:01 PM - Alexander Bruy

[fTools] correctly handle real fields in Random Points algorithm (fix #10140)

History

#1 - 2014-04-30 03:29 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

- Category changed from Vectors to 44

- Priority changed from High to Severe/Regression

- Target version changed from Version 2.2 to Version 2.4

- Operating System deleted (OSX)

- OS version deleted (10.7)

confirmed (on Linux and Windows), and it is a regression.

#2 - 2014-04-30 10:33 AM - Alexander Bruy

- Status changed from Open to Feedback

- Tag deleted (random points)

Not reproducible here. Maybe your shapefile does not have any field with "integer" datatype?

#3 - 2014-04-30 10:36 AM - Paul Ramsey

You can tell I'm a programmer, because that's the first thing I thought. I did have a file full of reals, so I made one with integers, and still no go. I'd hope that

the system would not be too pedantic to use real number inputs though.

#4 - 2014-04-30 10:38 AM - Giovanni Manghi
Hi Alex,

I have also tested shapes and postgis with integer columns and no joy. Weird.

#5 - 2014-04-30 10:38 AM - Paul Ramsey

Here's the file I used https://dl.dropboxusercontent.com/u/1184727/va_2013.zip

#6 - 2014-06-11 08:07 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

On QGIS master the tool in the vector menu seems to work now with shapes and integer columns, but seems also that integer postgis columns are not

recognized.

On the other hand the same tool in the processing toolbox works as expected, so I guess that the priority of this ticket can be lowered.

#7 - 2014-06-22 02:54 AM - Giovanni Manghi

- Status changed from Feedback to Open

#8 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#9 - 2016-01-18 07:01 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"b2ca6d0288e454e8ae520798eb18a87caf483d00".

#10 - 2016-01-18 07:02 AM - Alexander Bruy

- Resolution set to fixed/implemented

#11 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
